Change a page's status
PATCH
/cms/print/v2/subpages/{id}
const url = 'https://api.example.com/cms/print/v2/subpages/1';const options = { method: 'PATCH', headers: { 'API-Key': '<API-Key>', 'Token-User': '<Token-User>', 'Content-Type': 'application/json' }, body: '{"status":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://api.example.com/cms/print/v2/subpages/1 \ --header 'API-Key: <API-Key>' \ --header 'Content-Type: application/json' \ --header 'Token-User: <Token-User>' \ --data '{ "status": "example" }'Needs the “Print - Change page status” permission. Statuses are listed by GET /cms/print/v2/config.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
integer
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
status
required
string
Example generated
{ "status": "example"}Responses
Section titled “Responses”Updated